/fraccrews#
Frac crew location by wellpad and date
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/fraccrews |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/fraccrews" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
frac_crews_resp = hyperion_api_client.frac_crews()
frac_crews_df = frac_crews_resp.df()
frac_crews_df.head()
# Example of a Windows PowerShell request to the frac_crews endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"state_code`":[`"TX`"],`"region_natgas`":[`"gulf`"],`"sub_region_natgas`":[`"Central - TX`",`"Haynesville - TX`"],`"date_frac_min`":`"2025-01-01`",`"date_frac_max`":`"2026-02-28`"}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/fraccrews' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
county |
string array |
The county the well is in |
CAMPBELL |
date_frac_max |
— |
The date range maximum the well crew completed fracking in YYYY-MM-DD format |
— |
date_frac_min |
— |
The date range minimum the well crew completed fracking in YYYY-MM-DD format |
— |
frac_class |
string array |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
operator |
string array |
A well operator |
BILL BARRETT CORPORATION |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
service_company |
string array |
The name of the service company |
— |
state_code |
string array |
An array of state abbreviations |
WY |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
count |
integer |
The number of frac crews observed |
— |
county |
string |
The county the well is in |
CAMPBELL |
date_frac |
— |
The date observed via satellite that the well crew completed fracking in YYYY-MM-DD format |
— |
frac_class |
string |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
lat |
number |
Latitude of the wellpad |
— |
long |
number |
Longitude of the wellpad |
— |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
service_company |
string |
The name of the service company |
— |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
wellpad_id |
string |
The unique identifier for the wellpad |
— |
Aggregation#
Supported parameters: county, date_frac, operator, region_natgas, service_company, state_code, sub_region_natgas
Normal Output#
county |
date_frac |
frac_class |
lat |
long |
operator |
region_natgas |
service_company |
state_code |
sub_region_natgas |
wellpad_id |
|---|---|---|---|---|---|---|---|---|---|---|
BIENVILLE |
2020-09-25 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-09-26 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-09-27 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-09-28 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-09-29 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-09-30 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-10-01 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-10-02 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-10-03 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |
BIENVILLE |
2020-10-04 |
gas |
32.24834633333333 |
-93.39548766666667 |
AETHON ENERGY OPERATING LLC |
gulf |
BJ Services |
LA |
Haynesville - LA |
2722 |